~kokoto-java/kazam/depencie-and-stuff

« back to all changes in this revision

Viewing changes to setup.py

  • Committer: David Klasinc
  • Date: 2012-11-23 20:12:56 UTC
  • mfrom: (193.7.6 unstable)
  • Revision ID: bigwhale@lubica.net-20121123201256-exwo8z63hvmaqpk0
MergeĀ fromĀ unstable.

Show diffs side-by-side

added added

removed removed

Lines of Context:
1
1
#!/usr/bin/python3
2
2
 
 
3
import sys
 
4
if sys.version_info < (3, 2):
 
5
    sys.exit('Kazam requires Python 3.2 or newer')
 
6
 
3
7
from distutils.core import setup
4
8
from DistUtilsExtra.command import *
5
9
 
7
11
import glob
8
12
from subprocess import Popen, PIPE
9
13
 
 
14
 
10
15
try:
11
16
    line = open("kazam/version.py").readline()
12
17
    VERSION = re.search(r"VERSION='(.*)'", line).group(1)